Package com.avaya.clientservices.media.capture

## Class VideoCaptureController

- java.lang.Object
- - com.avaya.clientservices.media.capture.VideoCaptureController

- All Implemented Interfaces:
    `Destroyable`

      public class VideoCaptureController
      extends java.lang.Object
      implements Destroyable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `VideoCaptureController.Orientation` |
    `static class` | `VideoCaptureController.Params` | List of supported capture modes.
    `static class` | `VideoCaptureController.Preference` | Requested Capture Resolutions Max - highest capture resolution supported by device Min - lowest capture resolution supported by device Specific resolution - upper bound for capture resolution.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VideoCaptureController()` |
    `VideoCaptureController​(android.content.Context context)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `destroy()`
    `int` | `getMeasuredCaptureFrameRate()` |
    `int` | `getMeasuredDeliverFrameRate()` |
    `VideoCaptureController.Params` | `getParams()` |
    `int` | `getRequestedCaptureFrameRate()` |
    `int` | `getRequestedDeliverFrameRate()` |
    `VideoCaptureController.Orientation` | `getVideoCaptureOrientation()` |
    `VideoCaptureController.Preference` | `getVideoCapturePreference()` |
    `VideoSource` | `getVideoSource()` |
    `boolean` | `hasVideoCamera​(VideoCamera cameraType)` |
    `void` | `setBlurBars​(boolean blurBars)` |
    `void` | `setLocalVideoLayer​(VideoLayerLocal localVideoLayer)` |
    `void` | `setParams​(VideoCaptureController.Params params)` |
    `void` | `setVideoCapturePreference​(VideoCaptureController.Preference preference, VideoCaptureController.Orientation orientation)` |
    `void` | `useVideoCamera​(VideoCamera cameraType, VideoCaptureCompletionHandler callback)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VideoCaptureController

          public VideoCaptureController()

    - #### VideoCaptureController

          public VideoCaptureController​(android.content.Context context)

  - ### Method Detail

    - #### getVideoSource

          public VideoSource getVideoSource()

    - #### setBlurBars

          public void setBlurBars​(boolean blurBars)

    - #### setLocalVideoLayer

          public void setLocalVideoLayer​(VideoLayerLocal localVideoLayer)

    - #### setParams

          public void setParams​(VideoCaptureController.Params params)

    - #### getParams

          public VideoCaptureController.Params getParams()

    - #### setVideoCapturePreference

          public void setVideoCapturePreference​(VideoCaptureController.Preference preference,
                                                VideoCaptureController.Orientation orientation)

    - #### getVideoCapturePreference

          public VideoCaptureController.Preference getVideoCapturePreference()

    - #### getVideoCaptureOrientation

          public VideoCaptureController.Orientation getVideoCaptureOrientation()

    - #### getRequestedCaptureFrameRate

          public int getRequestedCaptureFrameRate()

    - #### getRequestedDeliverFrameRate

          public int getRequestedDeliverFrameRate()

    - #### getMeasuredCaptureFrameRate

          public int getMeasuredCaptureFrameRate()

    - #### getMeasuredDeliverFrameRate

          public int getMeasuredDeliverFrameRate()

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `Destroyable`

    - #### hasVideoCamera

          public boolean hasVideoCamera​(VideoCamera cameraType)
                                 throws VideoCaptureException

      Throws:
        `VideoCaptureException`

    - #### useVideoCamera

          public void useVideoCamera​(VideoCamera cameraType,
                                     VideoCaptureCompletionHandler callback)